Bug 1214514 - Importing from Server DVD iso creates bogus kernel_options for distro
Summary: Importing from Server DVD iso creates bogus kernel_options for distro
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cobbler
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-22 22:07 UTC by Tim Coote
Modified: 2015-07-30 00:39 UTC (History)
4 users (show)

Fixed In Version: cobbler-2.6.9-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-04 15:29:57 UTC
Type: Bug


Attachments (Terms of Use)

Description Tim Coote 2015-04-22 22:07:57 UTC
Description of problem:
When a distro is imported from the  Fedora-Server-DVD-i386-21.iso image, a distro is created, but profiles and systems derived from it have bogus kernel_options, which cause the initial launch to drop into a dracut shell, if you try to launch them

Version-Release number of selected component (if applicable):
iso, as above, cobbler: cobbler-2.6.6-1.fc21.noarch

How reproducible:
Always

Steps to Reproduce:
1. mkdir /mnt/stub
2. mount Fedora-Server-DVD-i386-21.iso /mnt/stub
3. cobbler import --path=/mnt/stub --name=f21 --arch=i386
4. cobbler distro report --name f21-i386

Actual results:
Name                           : f21-i386
Architecture                   : i386
TFTP Boot Files                : {}
Breed                          : redhat
Comment                        : 
Fetchable Files                : {}
Initrd                         : /var/www/cobbler/ks_mirror/f21-i386/images/pxeboot/initrd.img
Kernel                         : /var/www/cobbler/ks_mirror/f21-i386/images/pxeboot/vmlinuz
Kernel Options                 : {'repo': '$tree'}
Kernel Options (Post Install)  : {}
Kickstart Metadata             : {'tree': 'http://@@http_server@@/cblr/links/f21-i386'}
Management Classes             : []
OS Version                     : fedora21
Owners                         : ['admin']
Red Hat Management Key         : <<inherit>>
Red Hat Management Server      : <<inherit>>
Template Files                 : {}


Expected results:
Name                           : f21-i386
Architecture                   : i386
TFTP Boot Files                : {}
Breed                          : redhat
Comment                        : 
Fetchable Files                : {}
Initrd                         : /var/www/cobbler/ks_mirror/f21-i386/images/pxeboot/initrd.img
Kernel                         : /var/www/cobbler/ks_mirror/f21-i386/images/pxeboot/vmlinuz
Kernel Options                 : {}
Kernel Options (Post Install)  : {}
Kickstart Metadata             : {'tree': 'http://@@http_server@@/cblr/links/f21-i386'}
Management Classes             : []
OS Version                     : fedora21
Owners                         : ['admin']
Red Hat Management Key         : <<inherit>>
Red Hat Management Server      : <<inherit>>
Template Files                 : {}

Additional info:
Derived vms from this distro and launched with koan, produce this: '--extra-args=ksdevice=link repo=$tree lang= text ks=http://172.17.1.6/cblr/svc/op/ks/system/trial1 kssendmac '

the repo=$tree, breaks virt-install (after the patches to get that to work with f21 have been applied)

a simple workaround is:
cobbler distro edit --name=f21-i386 --kopts=""

Comment 1 Orion Poplawski 2015-04-25 00:57:30 UTC
Can you try with cobbler 2.6.7 from updates-testing?  You might also run:

cobbler signature update

to update the distro signatures.

Comment 2 Tim Coote 2015-04-26 16:17:10 UTC
Yes, that avoided the original issue. However, it introduced a new constraint on where kickstart files can be located:

cobbler profile edit --name=f21-i386 --kickstart=/home/tim/ksF21.ks --virt-type=qemu --virt-ram=1024 --virt-bridge=vmbridge

exception on server: 'Invalid kickstart template file location /home/tim/ksF21.ks, it is not inside /var/lib/cobbler/kickstarts/'

which I don't think is covered in the documentation (the example at http://bit.ly/1JHBd8I explicitly has a kickstart file on /opt).

Comment 3 Orion Poplawski 2015-04-27 21:33:38 UTC
See https://github.com/cobbler/cobbler/issues/939 for why this was changed.  This was supposed to get into 2.6.3, but may have not made it in fully until 2.6.7.  We'll see what we can do about fixing up the docs.

Comment 4 Fedora Update System 2015-04-27 21:38:57 UTC
cobbler-2.6.7-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-0039/cobbler-2.6.7-1.fc21

Comment 5 Fedora Update System 2015-04-28 17:55:11 UTC
cobbler-2.6.7-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cobbler-2.6.7-3.el7

Comment 6 Fedora Update System 2015-04-28 17:55:19 UTC
cobbler-2.6.7-3.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cobbler-2.6.7-3.fc22

Comment 7 Fedora Update System 2015-04-28 17:55:26 UTC
cobbler-2.6.7-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cobbler-2.6.7-3.fc21

Comment 8 Fedora Update System 2015-04-29 19:21:09 UTC
Package cobbler-2.6.7-3.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing cobbler-2.6.7-3.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6064/cobbler-2.6.7-3.el7
then log in and leave karma (feedback).

Comment 9 Tim Coote 2015-05-02 13:24:52 UTC
I've just done a clean install of fedora 21 64 bit onto an existing physical computer, imported the f21 distro from dvd and got the same Kernel Options for the distro.

When I tested the fix, above, it was with an existing cobbler set up (I just updated the rpm). This time, did a clean install. However, it could also be that the Kernel Options are meant to be there and overwritten later in the process (but they do look a bit odd).

Using koan on the clean install fails as before, so it may be that 2.6.7-3 does not fix the problem. Annoyingly I don't have the resources to easily build a minimal failing test.

Comment 10 Fedora Update System 2015-05-04 15:29:57 UTC
cobbler-2.6.7-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-05-09 02:15:50 UTC
cobbler-2.6.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.el6

Comment 12 Fedora Update System 2015-05-09 02:16:03 UTC
cobbler-2.6.8-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.el7

Comment 13 Fedora Update System 2015-05-09 02:16:15 UTC
cobbler-2.6.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.fc20

Comment 14 Fedora Update System 2015-05-09 02:16:26 UTC
cobbler-2.6.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.fc22

Comment 15 Fedora Update System 2015-05-09 02:16:36 UTC
cobbler-2.6.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/cobbler-2.6.8-1.fc21

Comment 16 Fedora Update System 2015-07-27 23:11:46 UTC
cobbler-2.6.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2015-07-27 23:12:28 UTC
cobbler-2.6.9-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2015-07-30 00:39:25 UTC
cobbler-2.6.9-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.